%global modulename globby

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-globby
Version:        8.0.1
Release:        1%{?dist}
Summary:        Extends `glob` with support for multiple patterns and exposes a Promise API

License:        MIT
URL:            https://github.com/sindresorhus/globby#readme
Source0:        http://registry.npmjs.org/globby/-/globby-8.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(array-union) >= 1.0.1 with npmlib(array-union) < 2.0.0))
BuildRequires:  ((npmlib(dir-glob) >= 2.0.0 with npmlib(dir-glob) < 3.0.0))
BuildRequires:  ((npmlib(fast-glob) >= 2.0.2 with npmlib(fast-glob) < 3.0.0))
BuildRequires:  ((npmlib(glob) >= 7.1.2 with npmlib(glob) < 8.0.0))
BuildRequires:  ((npmlib(ignore) >= 3.3.5 with npmlib(ignore) < 4.0.0))
BuildRequires:  ((npmlib(pify) >= 3.0.0 with npmlib(pify) < 4.0.0))
BuildRequires:  ((npmlib(slash) >= 1.0.0 with npmlib(slash) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Extends `glob` with support for multiple patterns and exposes a Promise API

%package 8.0.1
Summary:        Extends `glob` with support for multiple patterns and exposes a Promise API


%description 8.0.1
Extends `glob` with support for multiple patterns and exposes a Promise API

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr gitignore.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license license
%{nodejs_dir}/%{modulename}

%files 8.0.1
%doc readme.md
%license license
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 8.0.1-1
- Package automatically generated by npm2srpm
